<?php
if (strpos($_SERVER['REQUEST_URI'], '.php') !== false) {
    // Przekierowanie do URL bez rozszerzenia
    $redirect_url = str_replace('.php', '', $_SERVER['REQUEST_URI']);
    header("Location: $redirect_url", true, 301);
    exit();
}
$baseUrl = 'https://fusion-v9.5v.pl/v/'; // Adres serwera i katalogu
$imageDisplayed = false; // Flaga do kontrolowania wyświetlania obrazu
$outputFiles = []; // Tablica do przechowywania nazw plików

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['images'])) {
    foreach ($_FILES['images']['tmp_name'] as $key => $tmpName) {
        if ($_FILES['images']['error'][$key] === UPLOAD_ERR_OK) {
            $file = $_FILES['images']['name'][$key];
            $fileType = exif_imagetype($tmpName);         
         if ($fileType !== false) {                
                $image = imagecreatefromstring(file_get_contents($tmpName));
                if ($image === false) {
                    die('Nie można wczytać obrazu.');
                }             
                $width = imagesx($image);
                $height = imagesy($image);              
                $outputFile = uniqid('image_', true) . '.webp';               
                if ($width > 900 || $height > 900) {
                    // Obliczenie nowych wymiarów
                    if ($width > $height) {
                        $newWidth = 900;
                        $newHeight = (900 / $width) * $height;
                    } else {
                        $newHeight = 900;
                        $newWidth = (900 / $height) * $width;
                    }                    
                    $newImage = imagecreatetruecolor($newWidth, $newHeight);
                    imagecopyresampled($newImage, $image, 0, 0, 0, 0, $newWidth, $newHeight, $width, $height);                   
                    imagewebp($newImage, $outputFile);                   
                    imagedestroy($newImage);
                } else {                   
                    imagewebp($image, $outputFile);
                    echo '<div class="alert alert-info" role="alert">';
    echo 'Obraz ' . htmlspecialchars($file) . ' nie wymaga przeskalowania.';
    echo '</div>';
                }               
                imagedestroy($image);                
                $outputFiles[] = $outputFile;
            } else {
                echo 'Plik ' . $file . ' nie jest obrazem.<br>';
            }
        }
    }   
    if (!empty($outputFiles)) {
        $imageDisplayed = true;
    }
}
?>
<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Przesyłanie obrazów</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<style>
        .custom-container {
            background-color: #0000FF ; /* Ciemne tło */
            color: white; 
            padding: 20px; 
            border-radius: 15px; 
        }
    </style>
</head>
<body>
<div class="container custom-container">  
    <form action="" method="post" enctype="multipart/form-data" class="form-horizontal">
        <div class="form-group">
            <label for="images" class="control-label">Wybierz obrazy:</label>
            <input type="file" name="images[]" id="images" class="form-control" multiple required>
        </div>
        <button type="submit" class="btn btn-primary">Prześlij</button>
    </form>
    <?php if ($imageDisplayed): ?>
        <h3>Przeskalowane obrazy:</h3>
        <?php foreach ($outputFiles as $outputFile): ?>
            <div class="thumbnail">
                <img src="<?php echo $outputFile; ?>" alt="Przeskalowany obraz" style="max-width: 100%; height: auto;">
                <div class="caption">
                    <p><strong>Linki do grafiki:</strong></p>
                    
                    <div class="form-group">
                        <label for="bbcode_<?php echo $outputFile; ?>" class="control-label">BBCode:</label>
                        <textarea id="bbcode_<?php echo $outputFile; ?>" class="form-control" rows="3" readonly>[img]<?php echo $baseUrl . $outputFile; ?>[/img]</textarea>
                        <button onclick="copyToClipboard('bbcode_<?php echo $outputFile; ?>')" class="btn btn-success">Kopiuj BBCode</button>
                    </div>
                    
                    <div class="form-group">
                        <label for="html_<?php echo $outputFile; ?>" class="control-label">HTML:</label>
                        <textarea id="html_<?php echo $outputFile; ?>" class="form-control" rows="3" readonly><img src="<?php echo $baseUrl . $outputFile; ?>" alt="Przeskalowany obraz"></textarea>
                        <button onclick="copyToClipboard('html_<?php echo $outputFile; ?>')" class="btn btn-success">Kopiuj HTML</button>
                    </div>
                    
                    <div class="form-group">
                        <label for="link_<?php echo $outputFile; ?>" class="control-label">Zwykły link:</label>
                        <textarea id="link_<?php echo $outputFile; ?>" class="form-control" rows="3" readonly><?php echo $baseUrl . $outputFile; ?></textarea>
                        <button onclick="copyToClipboard('link_<?php echo $outputFile; ?>')" class="btn btn-success">Kopiuj link</button>
                    </div>      
                    <a href="<?php echo $outputFile; ?>" class="btn btn-primary" download>Pobierz obraz</a>
                </div>
            </div>
        <?php endforeach; ?>
    <?php endif; ?>
</div>

<script>
function copyToClipboard(elementId) {
    var textarea = document.getElementById(elementId);
    textarea.select();
    textarea.setSelectionRange(0, 99999); 
    document.execCommand("copy");
    alert("Skopiowano: " + textarea.value);
}
</script><script>
if (false) {
    console.log
</body>
</html>

 