<?php
if (strpos($_SERVER['REQUEST_URI'], '.php') !== false) {
    // Przekierowanie do URL bez rozszerzenia
    $redirect_url = str_replace('.php', '', $_SERVER['REQUEST_URI']);
    header("Location: $redirect_url", true, 301);
    exit();
}
require_once __DIR__.'/../maincore.php';
require_once THEMES.'templates/header.php';
add_to_title('Bezpłatny Hosting Zdjęć - Anonimowo, Szybko i Wysoka Jakość');
set_meta("description", "Bezpłatny hosting zdjęć z pełną anonimowością! Przesyłaj zdjęcia bez rejestracji i korzystaj z automatycznej konwersji do formatu WEBP, który zmniejsza rozmiar plików o 70%. Długi okres przechowywania gwarantuje, że Twoje wspomnienia będą zawsze dostępne..");
set_meta("image", "https://fusion-v9.5v.pl/img/hosting.webp"); 
set_meta("keywords", "Bezpłatny,Hosting,Zdjęć,");add_to_head('<style> details{border:2px solid #ccc;border-radius:5px;margin-bottom:15px;cursor:pointer;}summary{padding:10px;font-weight:bold;color:white;background:#005cbf;border-radius:5px;transition:background-color 0.3s;font-size:1.4em;}summary:hover{background-color:#004a9a;}details[open] summary{background-color:#ffd700;color:black;}details[open]{background-color:transparent;}</style>');
$baseUrl = 'https://fusion-v9.5v.pl/v/'; // Adres serwera i katalogu
$imageDisplayed = false; // Flaga do kontrolowania wyświetlania obrazu
$outputFiles = []; // Tablica do przechowywania nazw plików

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['images'])) {
    foreach ($_FILES['images']['tmp_name'] as $key => $tmpName) {
        if ($_FILES['images']['error'][$key] === UPLOAD_ERR_OK) {
            $file = $_FILES['images']['name'][$key];
            $fileType = exif_imagetype($tmpName);
            
            // Sprawdzenie, czy plik jest obrazem
            if ($fileType !== false) {
                // Wczytanie obrazu
                $image = imagecreatefromstring(file_get_contents($tmpName));
                if ($image === false) {
                    die('Nie można wczytać obrazu.');
                }

                // Pobranie wymiarów obrazu
                $width = imagesx($image);
                $height = imagesy($image);

                // Generowanie unikalnej nazwy pliku
                $outputFile = uniqid('image_', true) . '.webp';

                // Sprawdzenie, czy któryś z wymiarów przekracza 700 pikseli
                if ($width > 900 || $height > 900) {
                    // Obliczenie nowych wymiarów
                    if ($width > $height) {
                        $newWidth = 900;
                        $newHeight = (900 / $width) * $height;
                    } else {
                        $newHeight = 900;
                        $newWidth = (900 / $height) * $width;
                    }

                    // Tworzenie nowego obrazu
                    $newImage = imagecreatetruecolor($newWidth, $newHeight);
                    imagecopyresampled($newImage, $image, 0, 0, 0, 0, $newWidth, $newHeight, $width, $height);

                    // Zapisanie przeskalowanego obrazu w formacie WebP
                    imagewebp($newImage, $outputFile);

                    // Zwolnienie pamięci
                    imagedestroy($newImage);
                } else {
                    // Zapisanie oryginalnego obrazu w formacie WebP
                    imagewebp($image, $outputFile);
                    echo '<div class="alert alert-info" role="alert">';
    echo 'Obraz ' . htmlspecialchars($file) . ' nie wymaga przeskalowania.';
    echo '</div>';
                }

                // Zwolnienie pamięci
                imagedestroy($image);

                // Dodanie nazwy pliku do tablicy
                $outputFiles[] = $outputFile;
            } else {
                echo 'Plik ' . $file . ' nie jest obrazem.<br>';
            }
        }
    }

    // Ustawienie flagi do wyświetlania obrazu
    if (!empty($outputFiles)) {
        $imageDisplayed = true;
    }
}
?>

<div class="container my-4 bg-white p-4" style="border-radius: 5px;">
    <h1>Bezpłatny Hosting Zdjęć – Szybko, Anonimowo i Efektywnie!</h1>

    <p>Szukasz idealnego miejsca do przechowywania i udostępniania swoich zdjęć? Nasz bezpłatny hosting zdjęć to rozwiązanie, które spełni Twoje oczekiwania! Oferujemy prostą i intuicyjną platformę, która pozwala na łatwe przesyłanie zdjęć bez zbędnych rejestracji. Ciesz się pełną anonimowością – Twoje dane są u nas bezpieczne, ponieważ ich nie znamy!</p>
    
    <h2>Dlaczego warto wybrać nasz hosting zdjęć?</h2>
</div>

<details>
<summary>Bezpieczeństwo i Anonimowość</summary>
<p>Nasza platforma zapewnia pełną anonimowość. Nie musisz podawać żadnych danych osobowych, aby korzystać z naszych usług. Twoje zdjęcia są chronione, a Ty możesz cieszyć się swobodą w ich udostępnianiu.</p>

<h3>2. Konwersja do formatu WEBP</h3>
<p>Nasze usługi nie tylko umożliwiają przesyłanie zdjęć, ale również automatycznie konwertują Twoje obrazy do formatu WEBP. Format ten jest nowoczesnym rozwiązaniem, które pozwala na zmniejszenie rozmiaru plików graficznych nawet o 70% w porównaniu do tradycyjnych formatów, takich jak JPG, PNG czy GIF. Dzięki temu Twoje zdjęcia ładują się szybciej, co jest kluczowe dla użytkowników korzystających z urządzeń mobilnych oraz dla SEO.</p>

<h3>3. Wysoka jakość bez kompromisów</h3>
<p>Mimo znacznego zmniejszenia rozmiaru plików, format WEBP zachowuje wysoką jakość obrazu. Możesz być pewien, że Twoje zdjęcia będą wyglądać doskonale, niezależnie od tego, gdzie je udostępniasz.</p>

<h3>4. Długi okres przechowywania</h3>
<p>Nie musisz się martwić o to, że Twoje zdjęcia znikną po krótkim czasie. Nasz hosting zapewnia długi okres przechowywania grafiki, dzięki czemu możesz mieć pewność, że Twoje wspomnienia będą zawsze dostępne.</p>

<h3>5. Łatwość obsługi</h3>
<p>Nasza platforma została stworzona z myślą o użytkownikach. Intuicyjny interfejs sprawia, że przesyłanie i zarządzanie zdjęciami jest proste i przyjemne.</p>

<h2>Technologia, na której możesz polegać</h2>
<p>Nasz hosting zdjęć został zbudowany w CMS PHP Fusion v9, co zapewnia stabilność i wydajność. Dzięki temu możesz korzystać z naszej platformy bez obaw o problemy techniczne.</p>

<p>Nie czekaj dłużej! Dołącz do naszej społeczności i skorzystaj z bezpłatnego hostingu zdjęć, który łączy w sobie anonimowość, nowoczesne technologie i długoterminowe przechowywanie. Przesyłaj, udostępniaj i ciesz się swoimi zdjęciami w najlepszej jakości!</p>
</details>

<form action="" method="post" enctype="multipart/form-data">
    <label for="images">Wybierz obrazy do przeskalowania:</label>
    <input type="file" name="images[]" id="images" multiple required><br><br>
    <button type="submit" class="btn btn-primary">Prześlij</button>

</form>

<?php if ($imageDisplayed): ?>
    <h2>Przeskalowane obrazy:</h2>
    <?php foreach ($outputFiles as $outputFile): ?>
        <img src="<?php echo $outputFile; ?>" alt="Przeskalowany obraz" style="max-width: 100%; height: auto;">
        <p><strong>Linki do grafiki:</strong></p>
        
        <div class="form-group">
            <label for="bbcode_<?php echo $outputFile; ?>" class="form-label">BBCode:</label>
            <textarea id="bbcode_<?php echo $outputFile; ?>" class="form-control" rows="3" readonly>[img]<?php echo $baseUrl . $outputFile; ?>[/img]</textarea>
            <button onclick="copyToClipboard('bbcode_<?php echo $outputFile; ?>')" class="btn btn-success">Kopiuj BBCode</button>
        </div>
        
        <div class="form-group">
            <label for="html_<?php echo $outputFile; ?>" class="form-label">HTML:</label>
            <textarea id="html_<?php echo $outputFile; ?>" class="form-control" rows="3" readonly><img src="<?php echo $baseUrl . $outputFile; ?>" alt="Przeskalowany obraz"></textarea>
            <button onclick="copyToClipboard('html_<?php echo $outputFile; ?>')" class="btn btn-success">Kopiuj HTML</button>
        </div>
        
        <div class="form-group">
            <label for="link_<?php echo $outputFile; ?>" class="form-label">Zwykły link:</label>
            <textarea id="link_<?php echo $outputFile; ?>" class="form-control" rows="3" readonly><?php echo $baseUrl . $outputFile; ?></textarea>
            <button onclick="copyToClipboard('link_<?php echo $outputFile; ?>')" class="btn btn-success">Kopiuj link</button>
        </div>

        <!-- Przycisk do pobrania obrazu -->
        <a href="<?php echo $outputFile; ?>" class="btn btn-primary" download>Pobierz obraz</a>
    <?php endforeach; ?>
<?php endif;?>
<?php add_to_footer('<script>
function copyToClipboard(elementId) {
    var textarea = document.getElementById(elementId);
    textarea.select();
    textarea.setSelectionRange(0, 99999); 
    document.execCommand("copy");
    alert("Skopiowano: " + textarea.value);
}
</script>');

 require_once THEMES.'templates/footer.php'; ?>